curl --request PATCH \
--url https://api.example.com/v1/management/connections/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"configName": "<string>",
"databaseName": "<string>",
"host": "<string>",
"metadata": {},
"password": "<string>",
"port": 123,
"schema": "<string>",
"ssl": {
"ca": "<string>",
"cert": "<string>",
"key": "<string>",
"mode": "<string>"
},
"type": "<string>",
"userName": "<string>"
}
'import requests
url = "https://api.example.com/v1/management/connections/{id}"
payload = {
"configName": "<string>",
"databaseName": "<string>",
"host": "<string>",
"metadata": {},
"password": "<string>",
"port": 123,
"schema": "<string>",
"ssl": {
"ca": "<string>",
"cert": "<string>",
"key": "<string>",
"mode": "<string>"
},
"type": "<string>",
"userName": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
configName: '<string>',
databaseName: '<string>',
host: '<string>',
metadata: {},
password: '<string>',
port: 123,
schema: '<string>',
ssl: {ca: '<string>', cert: '<string>', key: '<string>', mode: '<string>'},
type: '<string>',
userName: '<string>'
})
};
fetch('https://api.example.com/v1/management/connections/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"configName": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"databaseName": "<string>",
"host": "<string>",
"id": "<string>",
"port": 123,
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"userName": "<string>",
"metadata": {},
"productName": "<string>",
"schema": "<string>",
"ssl": {
"mode": "<string>"
}
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Update a connection
Applies a partial update to an existing database connection.
Authorizations
JWT bearer token issued by the identity provider.
Path Parameters
Connection identifier.
"2f1f35f4-4f50-44f3-a8ab-2772d395f0c2"
Body
Connection fields to update; omitted fields remain unchanged.
New configuration name for the connection.
"production-db"
New database name to connect to.
"mydatabase"
New database server hostname or IP address.
"db.example.com"
Application-defined metadata that replaces the current metadata.
Show child attributes
Show child attributes
{ "environment": "production", "region": "us-east-1" }
New database authentication password.
"secretpassword"
New database server TCP port.
5432
New default database schema.
"public"
SSL/TLS settings to update.
Show child attributes
Show child attributes
{ "mode": "verify-full" }
New database engine type.
"POSTGRESQL"
New database authentication username.
"dbuser"
Response
OK
Configuration name used to reference the connection.
"production-db"
Timestamp when the connection was created.
"2026-01-15T10:30:00Z"
Connected database name.
"mydatabase"
Database server hostname or IP address.
"db.example.com"
Unique connection identifier.
"018f47a6-3e5f-7b9a-8c1d-2e3f4a5b6c7d"
Database server TCP port.
5432
Database engine type.
"POSTGRESQL"
Timestamp when the connection was last updated.
"2026-01-16T14:45:00Z"
Database authentication username.
"dbuser"
Application-defined connection metadata.
Show child attributes
Show child attributes
{ "environment": "production", "region": "us-east-1" }
Product that owns the connection.
"midaz"
Default database schema, when configured.
"public"
Configured SSL/TLS settings with secrets omitted.
Show child attributes
Show child attributes
{ "mode": "require" }
Was this page helpful?

